<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Sections;


use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Hidden;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 13.11.19
 * Time: 14:17
 * Class EditPropertiesDistribution
 */
class EditPropertiesDistribution extends FreeFieldsSection
{
    protected $id   = 'addPropertiesDistribution';
    protected $name = 'addPropertiesDistribution';

    public function initContent()
    {
        $this->addField(new Select('lang'));

        $this->addField(new Select('moderator'));

        $this->addField(new Hidden('oldModerator'));

        $this->addField(new Select('subscriptionRequest'));

        $this->addField(new Switcher('subscriptionNotify'));

    }
}